Subject: bug#26321: 25.1; (require 'package) takes minutes on Windows

From: "Geoffrey S. Knauth" <[email-masked]>
Date: Fri, 31 Mar 2017 13:58:20 -0400

I removed MinGHC and the problem disappeared.  So I think you can mark this as RESOLVED and NOT-AN-EMACS-BUG or however you express that.

Thanks again for your help.

Geoff

> On Mar 31, 2017, at 13:54 , Geoffrey S. Knauth <[email-masked]> wrote:
> 
> Oh, I see what happened.  Somehow a gpg was on the PATH from an old minghc installation.  I’ll remove it and try again.
> 
> MinGHC and Stack are Haskell programming tools.
> 
> Let me see if removing MinGHC solves the problem.
> 
> Geoff
> 
>> On Mar 31, 2017, at 13:15 , Noam Postavsky <[email-masked]> wrote:
>> 
>> On Fri, Mar 31, 2017 at 10:29 AM, Geoffrey S. Knauth <[email-masked]> wrote:
>>> Additional backtrace information that might be useful, via M-x
>>> toggle-debug-on-quit:
>>> 
>>> Debugger entered--Lisp error: (quit)
>>> call-process("c:/Users/knauthg/AppData/Local/Programs/minghc-7.10.2-x86_64/git-2.4.5.1/usr/bin/gpg.exe"
>>> nil (t nil) nil "--with-colons" "--list-config")
>> 
>> https://github.com/fpco/minghc says "MinGHC is dead. Please use Stack."
>> Does that mean anything to you?
>> 
>> If you run 'gpg --with-colons --list-config' at the command line does
>> it also take 2 minutes?
>> 
>>> apply(call-process
>>> "c:/Users/knauthg/AppData/Local/Programs/minghc-7.10.2-x86_64/git-2.4.5.1/usr/bin/gpg.exe"
>>> nil (t nil) nil ("--with-colons" "--list-config"))
>>> epg-config--make-gpg-configuration("c:/Users/knauthg/AppData/Local/Programs/minghc-7.10.2-x86_64/git-2.4.5.1/usr/bin/gpg.exe")
>>> epg-find-configuration(OpenPGP)
>>> #[0 "\300\301!\205
>> 
>> It looks like the backtrace was cut off, could you save it in Emacs,
>> and send it as attachment instead?
>> Also, please start emacs as 'emacs -Q -l package.el -l epg.el' which
>> should load some sources and give a nicer backtrace.
>